package org.gcube.portlets.user.invitefriends.client.ui;

import org.gcube.portlets.user.invitefriends.client.validation.FormErrorsValidation;

import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.SimplePanel;
import com.google.gwt.user.client.ui.Widget;
/**
 * 
 * @author Massimiliano Assante, ISTI-CNR
 *
 */
public class InviteWidget extends Composite{
	
	public static final String DISPLAY_NAME =  "Invite people to this VRE";

	private static InviteWidgetUiBinder uiBinder = GWT.create(InviteWidgetUiBinder.class);
	
	interface InviteWidgetUiBinder extends UiBinder<Widget, InviteWidget> {	}

	@UiField HTML header;
	@UiField SimplePanel validationErrorsFormPanel;

	public InviteWidget() {
		super();
		initWidget(uiBinder.createAndBindUi(this));
		header.setText(DISPLAY_NAME);		
		new FormErrorsValidation().start(validationErrorsFormPanel, null);
	}

}
